Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007847 [DCSS] Bug Report minor have not tried 2013-12-11 10:49 2015-02-02 18:24
Reporter elliptic View Status public  
Assigned To elliptic
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0007847: Autoexplore never finishes in Shoals.
Description It used to be that autoexplore was a reasonable (if inefficient) way of exploring Shoals levels on characters with permaflight (e.g. DD with boots of flying). It seems now that autoexplore never thinks it is done exploring: it explores the entire level and then randomly wanders around finding the same items over and over.

I assume that the tides are breaking autoexplore's record of what squares the player has seen, or something like that.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0009436resolvedPleasingFungus Autoexplore doesn't complete in Shoals 
related to 0003672resolvedelliptic Maprot in the Shoals with Ashenzari 

-  Notes
(0024689)
elliptic (developer)
2013-12-11 10:54

Medar suggested that the passive mapping on DD might be responsible for this, which sounds reasonable to me.
(0028420)
elliptic (developer)
2015-02-02 18:24

Should be fixed now.

- Issue History
Date Modified Username Field Change
2013-12-11 10:49 elliptic New Issue
2013-12-11 10:54 elliptic Note Added: 0024689
2015-01-24 06:53 PleasingFungus Relationship added has duplicate 0009436
2015-01-24 06:53 PleasingFungus Relationship added related to 0003672
2015-02-02 18:24 elliptic Note Added: 0028420
2015-02-02 18:24 elliptic Status new => resolved
2015-02-02 18:24 elliptic Fixed in Branch => 0.16 development branch
2015-02-02 18:24 elliptic Resolution open => done
2015-02-02 18:24 elliptic Assigned To => elliptic
2015-02-02 18:24 elliptic Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker